package com.zbf.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl; //添加
import com.zbf.system.mapper.TAgvMapper;
import com.zbf.system.domain.TAgv;
import com.zbf.system.service.ITAgvService;

/**
 * agv列表Service业务层处理
 *
 * @author tony
 * @date 2024-06-17
 */
@Service
public class TAgvServiceImpl extends ServiceImpl<TAgvMapper, TAgv> implements ITAgvService //修改
{
    @Autowired
    private TAgvMapper tAgvMapper;

    /**
     * 查询agv列表
     *
     * @param id agv列表主键
     * @return agv列表
     */
    @Override
    public TAgv selectTAgvById(Long id)
    {
        return tAgvMapper.selectTAgvById(id);
    }

    /**
     * 查询agv列表列表
     *
     * @param tAgv agv列表
     * @return agv列表
     */
    @Override
    public List<TAgv> selectTAgvList(TAgv tAgv)
    {
        return tAgvMapper.selectTAgvList(tAgv);
    }

    /**
     * 新增agv列表
     *
     * @param tAgv agv列表
     * @return 结果
     */
    @Override
    public int insertTAgv(TAgv tAgv)
    {
        return tAgvMapper.insertTAgv(tAgv);
    }

    /**
     * 修改agv列表
     *
     * @param tAgv agv列表
     * @return 结果
     */
    @Override
    public int updateTAgv(TAgv tAgv)
    {
        return tAgvMapper.updateTAgv(tAgv);
    }

    /**
     * 批量删除agv列表
     *
     * @param ids 需要删除的agv列表主键
     * @return 结果
     */
    @Override
    public int deleteTAgvByIds(Long[] ids)
    {
        return tAgvMapper.deleteTAgvByIds(ids);
    }

    /**
     * 删除agv列表信息
     *
     * @param id agv列表主键
     * @return 结果
     */
    @Override
    public int deleteTAgvById(Long id)
    {
        return tAgvMapper.deleteTAgvById(id);
    }


    /**
     * 批量禁用
     *
     * @param id agv列表主键
     * @return 结果
     */
    @Override
    public int disabledTAgvByIds(Long[] ids) {
        return tAgvMapper.disabledTAgvByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id agv列表主键
     * @return 结果
     */
    @Override
    public int enableTAgvByIds(Long[] ids) {
        return tAgvMapper.enableTAgvByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param tAgv 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(TAgv tAgv) {
        return tAgvMapper.updateTAgv(tAgv);
    }

}
